/***************************************************************************
                          k68.h  -  description
                             -------------------
    begin                : Sat Nov  9 18:56:38 GMT 2002
    copyright            : (C) 2002-2003 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef K68_H
#define K68_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "sendfile.h"
#include "settings.h"
#include "sendfile.h"
#include "deviceinfo.h"
#include "qobex.h"

#include <kapp.h>
#include <kdialogbase.h>


// K68 is the base class of the project
class K68 : public KDialogBase
{
Q_OBJECT 

public:
    K68(QWidget* parent=0, const char *name=0);
    ~K68();

	static QObex *createObex();

public slots:
	void slotNewSettings();
	void slotChangePage(QWidget*);

protected:
	void closeEvent(QCloseEvent *close);
	bool settingsChanged;
	SendFile* sendPage;
	Settings* settingsPage;
    DeviceInfo* infoPage;
	QObex* obex;
};

#endif
