/***************************************************************************
                      qobexbluetooth.cpp  -  description
                             -------------------
    begin                : Thu Dec 12 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_BLUETOOTH
#include <bluetooth/bluetooth.h>
#endif

#include "qobexbluetooth.h"

QObexBluetooth::QObexBluetooth(bdaddr_t *s, bdaddr_t *d, uint8_t c) : channel(c) {

	// Make internal copies of addresses
	memcpy(&src, s, sizeof(bdaddr_t));
	memcpy(&dst, d, sizeof(bdaddr_t));

    // Initialize obex
    obex = OBEX_Init(OBEX_TRANS_BLUETOOTH, QObex_handleEvent, 0);

    // Store pointer to self for callbacks
    OBEX_SetUserData(obex, (void*) this);	
}

QObexBluetooth::~QObexBluetooth() {
}

bool QObexBluetooth::transportConnect() {

    if(BtOBEX_TransportConnect(obex, &src, &dst, channel) < 0)
        return false;
        
	createNotifier();
    return true;
}

