/***************************************************************************
                          qobexclientput.h  -  description
                             -------------------
    begin                : Sun Jan 26 2003
    copyright            : (C) 2003 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXCLIENTPUT_H
#define QOBEXCLIENTPUT_H

#include "qobexclient.h"

class QObexClientPut : public QObexClient
{
Q_OBJECT

public: 
	QObexClientPut(QObex&, const QString&, const QString&);
	QObexClientPut(QObex&, const QString&);
	~QObexClientPut();

signals:
    void totalSize(int);
    void progress(int);

protected slots:
	void slotStreamEmpty(QObexObject&);

protected:
    virtual void startOp();
    virtual void finishOp(QObexObject&);
	void put(const QString&, const QString&);
    QString target;
    QByteArray buffer;
	uint current;

    static const int streamChunk = 512;
};

#endif
