/***************************************************************************
                        qobexheader.h  -  description
                             -------------------
    begin                : Tue Dec 10 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXHEADER_H
#define QOBEXHEADER_H

extern "C" {
	#include <openobex/obex.h>
}

class QObexObject;

class QObexHeader
{
public: 
	enum Header { None = 0,
				  Length = OBEX_HDR_LENGTH,
				  Name = OBEX_HDR_NAME,
				  Body = OBEX_HDR_BODY,
				  Who = OBEX_HDR_WHO };

	QObexHeader(Header, uint32_t, uint32_t);
	QObexHeader(Header, uint8_t, uint32_t);
	QObexHeader(Header, const uint8_t*, uint32_t);
	~QObexHeader();

    Header type();
    void data(uint32_t&, uint32_t&);
    void data(uint8_t&, uint32_t&);
    void data(const uint8_t*&, uint32_t&);

protected:
	QObexHeader(uint8_t, obex_headerdata_t, uint32_t);

	uint8_t hi;
	obex_headerdata_t hv;
	uint32_t hv_size;

friend class QObexObject;
};

#endif
