/***************************************************************************
                       qobexobject.cpp  -  description
                             -------------------
    begin                : Tue Dec 10 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "qobexobject.h"

#include "qobex.h"
#include "qobexheader.h"


QObexObject::QObexObject(QObex& o, QObex::Command cmd) {
	obex = o.obex;
	object = OBEX_ObjectNew(obex, cmd);
}

QObexObject::QObexObject(obex_t* o, obex_object_t* obj) {
	obex = o;
	object = obj;
}

QObexObject::~QObexObject() {
	// OBEX_ObjectDelete(obex, object);
}

void QObexObject::addHeader(QObexHeader& hdr, addHeaderFlag f) {
	OBEX_ObjectAddHeader(obex, object, hdr.hi, hdr.hv, hdr.hv_size, f);
}

QObexHeader* QObexObject::getNextHeader() {
	uint8_t hi;
	obex_headerdata_t hv;
	uint32_t hv_size;

	OBEX_ObjectGetNextHeader(obex, object, &hi, &hv, &hv_size);

	QObexHeader *hdr = new QObexHeader(hi, hv, hv_size);

	return hdr;
}

void QObexObject::setResponse(QObex::Response rsp, QObex::Response lastrsp) {
	OBEX_ObjectSetRsp(object, int(rsp), int(lastrsp));
}


