/***************************************************************************
                      serialcablesettings.h  -  description
                             -------------------
    begin                : Fri Dec 13 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SERIALCABLESETTINGS_H
#define SERIALCABLESETTINGS_H

#include <qwidget.h>
#include <serialcablesettingsbase.h>


class SerialCableSettings : public SerialCableSettingsBase
{
Q_OBJECT

public: 
	SerialCableSettings(QWidget *parent=0, const char *name=0);
	~SerialCableSettings();

	static const char* const configGroup;
	static const char* const configDevice;
	static const char* const configDeviceDefault;
	static const char* const configBaudRate;
	static const int configBaudDefault = 9600;

signals:
	void settingsChanged();

protected slots:
	void slotDevice(const QString& dev);
	void slotBaudRate(const QString& rate);
};

#endif
